VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   3120
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5145
   LinkTopic       =   "Form1"
   ScaleHeight     =   3120
   ScaleWidth      =   5145
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdSaveWithText 
      Caption         =   "Save With Text"
      Height          =   375
      Left            =   3480
      TabIndex        =   2
      Top             =   600
      Width           =   1575
   End
   Begin VB.CommandButton cmdSaveWithoutText 
      Caption         =   "Save Without Text"
      Height          =   375
      Left            =   3480
      TabIndex        =   1
      Top             =   120
      Width           =   1575
   End
   Begin VB.PictureBox picCats 
      AutoSize        =   -1  'True
      Height          =   3120
      Left            =   0
      ScaleHeight     =   3060
      ScaleWidth      =   3300
      TabIndex        =   0
      Top             =   0
      Width           =   3360
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private m_FilePath As String

' Load the picture and draw text on it.
Private Sub DrawText()
    ' Load the picture.
    picCats.Picture = LoadPicture(m_FilePath & "cats.jpg")

    ' Add the text centered at the top.
    picCats.AutoRedraw = True
    picCats.ForeColor = vbWhite
    picCats.Font.Name = "Times New Roman"
    picCats.Font.Size = 20
    picCats.Font.Bold = True
    picCats.CurrentX = (picCats.ScaleWidth - picCats.TextWidth("Cats")) / 2
    picCats.CurrentY = 30
    picCats.Print "Cats"
End Sub
' Load a picture, draw text on it, and save the result.
Private Sub cmdSaveWithoutText_Click()
    ' Load the picture and draw text on it.
    DrawText

    ' Save the picture.
    SavePicture picCats.Picture, m_FilePath & "cats_without_text.bmp"

    MsgBox "Ok"
End Sub

' Load a picture, draw text on it, and save the results
' including the text into a file.
Private Sub cmdSaveWithText_Click()
    ' Load the picture and draw text on it.
    DrawText

    ' Make the current image with the text
    ' a permanent part of the image.
    picCats.Picture = picCats.Image

    ' Save the picture.
    SavePicture picCats.Picture, m_FilePath & "cats_with_text.bmp"

    ' Alternatively you can use save picCats.Image.
    ' Then you don't need the statement
    '     picCats.Picture = picCats.Image

    MsgBox "Ok"
End Sub
' Get the directory path.
Private Sub Form_Load()
    m_FilePath = App.Path
    If Right$(m_FilePath, 1) <> "\" Then m_FilePath = m_FilePath & "\"
End Sub
